# ![Typing SVG](https://readme-typing-svg.demolab.com?font=Anton&pause=1000&size=40&random=false&width=435&height=70&lines=HUGO-CV)

[![Build Status](https://drone.gregandev.fr/api/badges/gregandev/hugo-cv/status.svg)](https://drone.gregandev.fr/gregandev/hugo-cv)

## INSTALLATION :hammer:

- Via APT:
```bash
sudo apt install hugo
```

- Via la ligne de commande:
```bash
cd /tmp
curl -s https://api.github.com/repos/gohugoio/hugo/releases/latest \
 | grep  browser_download_url \
 | grep linux-amd64.deb \
 | grep extended \
 | cut -d '"' -f 4 \
 | wget -i -

sudo dpkg -i hugo*_linux-amd64.deb
rm -rf hugo*_linux-amd64.deb
```

:warning: La version APT de Debian n'est souvent pas la dernière release parue

## UTILISATION

### CREATION DU SITE :page_with_curl:

- Vérifier l'installation:
```bash
hugo version
```

### AJOUT D'UN THEME :art:

```bash
git init
git submodule add https://github.com/theNewDynamic/gohugo-theme-ananke.git themes/ananke
echo theme = \"ananke\" >> config.toml
```

> Les thèmes HUGO CV: https://master--hugothemes.netlify.app/tags/resume/

### LANCER LE SERVEUR :rocket:

```bash
# L'option -D est pour servir les fichiers en Draft = true (non publiés)
hugo server -D
```

> Visiter http://localhost:1313


### BUILDER LE SITE :construction:

```bash
hugo
```

> Les fichiers générés sont dans le dossier public

## DEPLOIEMENT :checkered_flag:

### VIA GITLAB AUTO DEVOPS

Compléter le config.toml comme ceci:
```bash
baseURL = "https://gitlab_user.gitlab.io/"
```

Compléter le fichier .gitlab-ci.yml comme ceci:
```bash
image: registry.gitlab.com/pages/hugo/hugo_extended:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  script:
    - hugo
  artifacts:
    paths:
      - public
  only:
  - main
```

### VIA DOCKER :whale:

- Créer une Dockerfile contenant:

```Dockerfile
FROM nginx:alpine

COPY ./public/* /usr/share/nginx/html
COPY ./docs/nginx-exemple.conf /etc/nginx/conf.d/default.conf

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]
```

```bash
docker build -t hugo-site:1.0 .
docker run -d -p 8989:80  hugo-site:1.0
```

> http://localhost:8989

## DOCUMENTATION :books:

[DOC DU GARAGE](https://docs.legaragenumerique.xyz/divers/devops/hugo/)  
[DOC OFFICIELLE](https://gohugo.io/documentation/)  
[DOC MARKDOWN](https://www.markdownguide.org/basic-syntax/)  

